<?php 
require_once('config.php');
require_once('utilities.php');
require_once('facebook_app.php');
require_once('category.php');
require_once('vb_api_client.php');
FacebookApp::instance()->ensureFacebookUserLoggedInToVB();



if(!(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strstr($_SERVER['HTTP_X_REQUESTED_WITH'], 'XMLHttpRequest'))) {
    header('HTTP/1.1 404 Not Found');
    header('Connection: close');
    exit;
}

if(empty($_GET['keywords'])) {
    header('HTTP/1.1 404 Not Found');
    header('Connection: close');
    exit;
}


$res = VBApiClient::instance()->call_cached('search_process', array() , array(  'query' => $_GET['keywords'], 
                                                                                'searchdate' => (Category::registry('Search_All_0')->getRelevantPeriod() / (24 * 60 * 60)), 
                                                                                'sortby' => 'relevance', 
                                                                                'search_type' => '0',
                                                                                'type[]' => array('1', '15', '18')
                                                                            ));
echo $res;
?>